source = $(shell grep -v '^\s*\#' debian/build-$(version).txt)
timestamp = $(shell date --iso-8601=minutes --utc --date="$(shell dpkg-parsechangelog -S Date)")
version = $(shell dpkg-parsechangelog -SVersion | cut -d + -f 1)

install: dist/jquery.js dist/jquery.min.js dist/jquery.min.map

dist/jquery.js: src/intro.js $(source) src/outro.js
	mkdir -p $(shell dirname $@)
	nodejs debian/build.js $^ > $@.in
	sed -e 's/@DATE/$(timestamp)/; s/@VERSION/$(version)/' $@.in > $@ || ($(RM) $@; false)

dist/jquery.min.js dist/jquery.min.map: dist/jquery.js
	uglifyjs \
		--source-map dist/jquery.min.map \
		--source-map-url jquery.min.map \
		--output dist/jquery.min.js \
		$^

clean:
	$(RM) -rf dist/
